#ifndef SIMULATOR_H
#define	SIMULATOR_H

#ifdef USE_SIMULATOR

/**
 * @brief Return a json object with one simulator record
 * @param simulator The simulator record
 * @return Json object
 */
json_object *simulator_json_object(simulator_list *simulator);


/**
 * @brief Send all simulator records to the websocket
 */
void simulator_ws(void);


/**
 * @brief The simulator thread.
 */
void *my_simulator_loop(void *);

#endif

#endif
